#!/bin/sh
# Copyright (C) 2023-2024  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

osi-mk \
	--conf=format=erofs \
	--conf=erofs_compression=lz4 \
	--conf=hostname=eggman.mothstuff.lol \
	\
	--package=base \
	--package=linux-libre \
	--conf=initramfs=mkinitcpio \
	\
	--conf=bootloader=none \
	--conf=genfstab=false \
	--package=grub \
	--package-file=pkg/umorpha-disk.pkg.tar.zst \
	--module=modules/umorpha-disk.sh \
	\
	--module=modules/umorpha-branding.sh \
	--module=modules/umorpha-sshusers.sh \
	\
	--module=modules/base-net.sh \
	--module=modules/base-acme.sh \
	--package-file=pkg/umorpha-eclipse-leader.pkg.tar.zst \
	--module=modules/service-eclipse-leader.sh \
	\
	--conf=SOURCE_DATE_EPOCH=auto \
	--module=modules/base-reproducible.sh \
	--module=modules/base-small.sh \
	\
	"$@"
